using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace HistoryWallSample
{
    /// <summary>
    /// MainWindow.xaml 的互動邏輯
    /// </summary>
    public partial class MainWindow : Window
    {
        private HistoryDLL.CyclicScroller history = new HistoryDLL.CyclicScroller(0);
        
        public MainWindow()
        {
            InitializeComponent();
            history.HomeBackInforEvent += History_HomeBackInforEvent;

            this.Loaded += MainWindow_Loaded;
        }

        private void History_HomeBackInforEvent()
        {
            MessageBox.Show("Home Back");
        }

        private void MainWindow_Loaded(object sender, RoutedEventArgs e)
        {
            uxMainGrid.Children.Add(history);
        }
    }
}
